Set the buyer on a checkout
curl --request POST \
--url https://app.vaultgraph.com/api/commerce/checkouts/{id}/buyer \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"buyer": {
"email": "<string>",
"first_name": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>"
}
}
'import requests
url = "https://app.vaultgraph.com/api/commerce/checkouts/{id}/buyer"
payload = { "buyer": {
"email": "<string>",
"first_name": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>"
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
buyer: {
email: '<string>',
first_name: '<string>',
full_name: '<string>',
last_name: '<string>',
phone_number: '<string>'
}
})
};
fetch('https://app.vaultgraph.com/api/commerce/checkouts/{id}/buyer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"currency": "<string>",
"status": "canceled",
"line_items": [
{
"item": {
"id": "<string>",
"title": "<string>",
"price": 123,
"image_url": "<string>"
},
"quantity": 2,
"id": "<string>",
"parent_id": "<string>",
"properties": [
{
"name": "<string>",
"value": "<string>"
}
],
"totals": [
{
"type": "subtotal",
"amount": 123,
"display_text": "<string>"
}
],
"property_specs": [
{
"name": "<string>",
"required": true,
"values": [
{
"value": "<string>",
"price_delta": 123,
"description": "<string>"
}
],
"description": "<string>"
}
]
}
],
"totals": [
{
"type": "subtotal",
"amount": 123,
"display_text": "<string>"
}
],
"links": [
{
"type": "<string>",
"url": "<string>",
"title": "<string>"
}
],
"ucp": {
"capabilities": {},
"version": "<string>"
},
"buyer": {
"email": "<string>",
"first_name": "<string>",
"full_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>"
},
"context": {
"address_country": "<string>",
"address_region": "<string>",
"postal_code": "<string>",
"currency": "<string>",
"language": "<string>"
},
"fulfillment": {
"available_methods": [
{
"line_item_ids": [
"<string>"
],
"type": "pickup",
"description": "<string>",
"fulfillable_on": "null"
}
],
"methods": [
{
"id": "<string>",
"line_item_ids": [
"<string>"
],
"type": "pickup",
"destinations": [
{
"id": "<string>",
"address_country": "<string>",
"address_locality": "<string>",
"address_region": "<string>",
"extended_address": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>",
"street_address": "<string>",
"address": {
"address_country": "<string>",
"address_locality": "<string>",
"address_region": "<string>",
"extended_address": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"postal_code": "<string>",
"street_address": "<string>"
},
"name": "<string>"
}
],
"groups": [
{
"id": "<string>",
"line_item_ids": [
"<string>"
],
"options": [
{
"id": "<string>",
"title": "<string>",
"totals": [
{
"amount": 123,
"type": "<string>",
"display_text": "<string>"
}
],
"carrier": "<string>",
"description": "<string>",
"earliest_fulfillment_time": "2023-11-07T05:31:56Z",
"latest_fulfillment_time": "2023-11-07T05:31:56Z"
}
],
"selected_option_id": "null"
}
],
"selected_destination_id": "null"
}
]
},
"messages": [
{
"type": "error",
"content": "<string>",
"code": "<string>",
"path": "<string>"
}
],
"order": {
"id": "<string>",
"permalink_url": "<string>"
},
"continue_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}
}Commerce
Set the buyer on a checkout
POST
/
api
/
commerce
/
checkouts
/
{id}
/
buyer
Set the buyer on a checkout
Authorizations
Path Parameters
Body
application/json
The person checking out. email is required before a checkout can be completed. Send a name as full_name, as first_name + last_name, or as both.
Show child attributes
Show child attributes
Response
200 - application/json
Updated checkout
Show child attributes
Show child attributes